Question about compatibility of "Clock and calendar add-on"


Louise Pfau
 

I just tried to download the add-on, and Microsoft Edge gave a “The download needs attention” alert.  I also checked the compatibility on the add-on page, and it said between NVDA 2014.3-2019.3.
 
Thanks,
 
Louise


Louise Pfau
 

I appologize for any confusion.  I think that most of the add-ons I have are compatible with the latest version of NVDA , and they were listed as being compatible with NVDA 2019.3 or later.  I don’t know if “Add-on Updater” will let me install the “Clock and Calendar” add-on because of compatibility.
 
Thanks,
 
Louise


 

On Wed, Apr 21, 2021 at 02:21 PM, Louise Pfau wrote:
Will there be updates to make it compatible with the latest version of NVDA?
-
Anything that is on the NVDA Stable Add-Ons page should be compatible with whatever the current version of NVDA happens to be.  There are plenty of times where the lines about the versions a given add-on will work with do not get updated in a timely manner.  But it is my understanding that the add-ons are tested as a part of the natural testing for NVDA as it's being developed, and if a given add-on doesn't work its developer will "have their cage rattled" to fix it and, if not fixed, it will be pulled from the stable add-ons page.  I'm sure I'll be corrected on that if it's wrong.

But anything compatible with 2019 should remain compatible with 2020, dot numbers not relevant in this case.
--

Brian - Windows 10 Pro, 64-Bit, Version 20H2, Build 19042  

Always remember others may hate you but those who hate you don't win unless you hate them.  And then you destroy yourself.

       ~ Richard M. Nixon

 


Louise Pfau
 

Hi. I looked for the "Clock and calendar" add-on on the official add-ons page, and the compatibility is for NVDA 2019.2. Based on the description, I wanted to get it, but I'm using NVDA 2020.4. Will there be updates to make it compatible with the latest version of NVDA?

Thanks,

Louise